# Default values for openldap.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.


replicaCount: 1

openldap:
  image: osixia/openldap:1.3.0
  pullPolicy: IfNotPresent
  securityContext: {}
  resources:
    requests:
      memory: "256Mi"
      cpu: "100m"
    limits:
      memory: "256Mi"
      cpu: "100m"
  extraEnv:
    LDAP_ORGANISATION: "Northstar Consulting"
    LDAP_DOMAIN: "northstar.co.kr"

phpldap:
  enabled: true
  image: osixia/phpldapadmin:0.9.0
  pullPolicy: IfNotPresent
  securityContext: {}
  resources:
    requests:
      memory: "256Mi"
      cpu: "100m"
    limits:
      memory: "256Mi"
      cpu: "100m"

storage:
  enabled: true
  storageClass: "nfs-client"
  accessMode: ReadWriteOnce
  size: 2Gi



serviceAccount:
  create: true
  name: ldap-sa

service:
  type: ClusterIP
  ldapPort: 389
  sslLdapPort: 636
  phpldapPort: 80

